searchData={"items":[{"type":"module","title":"NervesTime.RTC.DS3231","doc":"DS3231 RTC implementation for NervesTime\n\nTo configure NervesTime to use this module, update the `:nerves_time` application\nenvironment like this:\n\n```elixir\nconfig :nerves_time, rtc: NervesTime.RTC.DS3231\n```\n\nIf not using `\"i2c-1\"` or the default I2C bus address, specify them like this:\n\n```elixir\nconfig :nerves_time, rtc: {NervesTime.RTC.DS3231, [bus_name: \"i2c-2\", address: 0x69]}\n```\n\nCheck the logs for error messages if the RTC doesn't appear to work.\n\nSee https://datasheets.maximintegrated.com/en/ds/DS3231.pdf for implementation details.","ref":"NervesTime.RTC.DS3231.html"},{"type":"function","title":"NervesTime.RTC.DS3231.get_alarm/3","doc":"Reads an alarm register.","ref":"NervesTime.RTC.DS3231.html#get_alarm/3"},{"type":"function","title":"NervesTime.RTC.DS3231.get_control/2","doc":"Reads the control register.","ref":"NervesTime.RTC.DS3231.html#get_control/2"},{"type":"function","title":"NervesTime.RTC.DS3231.get_status/2","doc":"Reads the status register.","ref":"NervesTime.RTC.DS3231.html#get_status/2"},{"type":"function","title":"NervesTime.RTC.DS3231.get_temperature/2","doc":"Reads the temperature register.","ref":"NervesTime.RTC.DS3231.html#get_temperature/2"},{"type":"function","title":"NervesTime.RTC.DS3231.set_alarm/3","doc":"Writes an alarm register.","ref":"NervesTime.RTC.DS3231.html#set_alarm/3"},{"type":"function","title":"NervesTime.RTC.DS3231.set_control/3","doc":"Writes the control register.","ref":"NervesTime.RTC.DS3231.html#set_control/3"},{"type":"function","title":"NervesTime.RTC.DS3231.set_status/3","doc":"Writes the status register.","ref":"NervesTime.RTC.DS3231.html#set_status/3"},{"type":"type","title":"NervesTime.RTC.DS3231.flag/0","doc":"This type represents the many registers whose value is a single bit.","ref":"NervesTime.RTC.DS3231.html#t:flag/0"},{"type":"extras","title":"NervesTime.RTC.DS3231","doc":"# NervesTime.RTC.DS3231\n\n[![CircleCI](https://circleci.com/gh/nerves-time/nerves_time_rtc_ds3231.svg?style=svg)](https://circleci.com/gh/nerves-time/nerves_time_rtc_ds3231)\n[![Hex version](https://img.shields.io/hexpm/v/nerves_time_rtc_ds3231.svg \"Hex version\")](https://hex.pm/packages/nerves_time_rtc_ds3231)\n\nNervesTime.RTC implementation for popular Maxim Integrated Extremely Accurate\nReal-Time Clock chip with TCXO.  [An \"Oldie-but-Goodie\". Dallas Semiconductor\nwas acquired by Maxim in 2001]\n\nFeatures of the DS3231 device other than the time and date registers  [i.e.\nAlarms, Interrupts, Square Wave output and Temperature measurement]  are\nuntouched by this plugin, and are therefore available to other user-written\nElixir apps.\n\nThe following are supported:\n\n* [DS3231](https://datasheets.maximintegrated.com/en/ds/DS3231.pdf)","ref":"readme.html"},{"type":"extras","title":"Using - NervesTime.RTC.DS3231","doc":"First add this project to your `mix` dependencies:\n\n```elixir\ndef deps do\n  [\n    {:nerves_time_rtc_ds3231, \"~> 0.1.0\"}\n  ]\nend\n```\n\nAnd then update your `:nerves_time` configuration to point to it:\n\n```elixir\nconfig :nerves_time, rtc: NervesTime.RTC.DS3231\n```\n\nIt's possible to override the default I2C bus and address via options:\n\n```elixir\nconfig :nerves_time, rtc: {NervesTime.RTC.DS3231, [bus_name: \"i2c-2\", address:\n0x69]}\n```\n\nCheck the logs for error messages if the RTC doesn't appear to work.","ref":"readme.html#using"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.1.3 - Changelog","doc":"* Updates\n  * Allow `circuits_i2c` 2.0 and later\n  * Fix deprecated `Calendar.ISO.day_of_week/3` by `Calendar.ISO.day_of_week/4`\n    in date.ex","ref":"changelog.html#v0-1-3"},{"type":"extras","title":"v0.1.2 - Changelog","doc":"* Updates\n  * Allow `circuits_i2c` 1.0 and later\n  * Minor spec cleanup to fix OTP 25 Dialyzer warnings","ref":"changelog.html#v0-1-2"},{"type":"extras","title":"v0.1.1 - Changelog","doc":"* Bug fixes\n  * Fix register offsets for `DS3231.set_time/2`","ref":"changelog.html#v0-1-1"},{"type":"extras","title":"v0.1.0 - Changelog","doc":"Initial release","ref":"changelog.html#v0-1-0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}